Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #539 (closed defect: fixed)

Opened 13 years ago

Last modified 9 years ago

HostAPd: ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument ERROR

Reported by: Yansito! Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: deauthenticated due to local deauth request Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

hi i use dwl-g520 Rev b3 - kernel 2.6.16.1 - madwifi driver madwifi-20050330.tgz i use on client pc dwl-g520 Rev b3. and dlink supplicant, hostapd-0.5.2.

hostapd.conf :

interface=ath0
driver=madwifi
logger_syslog=-1
logger_syslog_level=2
logger_stdout=-1
logger_stdout_level=2
debug=0
dump_file=/tmp/hostapd.dump
ctrl_interface=/var/run/hostapd
ctrl_interface_group=0
ssid=StarInformatik-9621213
macaddr_acl=0
accept_mac_file=/etc/hostapd/hostapd.accept
deny_mac_file=/etc/hostapd/hostapd.deny
auth_algs=3
#assoc_ap_addr=00:12:34:56:78:9a
own_ip_addr=127.0.0.1
##### WPA/IEEE 802.11i configuration ##########################################
wpa=1
wpa_passphrase=password
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP
wpa_group_rekey=600

i hace loaded ath_pci module fine! but client cant associated, i see this on console:

#ERROR HERE!!!

root@servidor:~/Desktop# hostapd /etc/hostapd/hostapd.conf
Configuration file: /etc/hostapd/hostapd.conf
Using interface ath0 with hwaddr 00:0f:3d:aa:9b:e4 and ssid 'StarInformatik-9621213'
Flushing old station entries
Deauthenticate all stations
l2_packet_receive - recvfrom: Network is down
ath0: STA 00:13:46:8b:f0:ff IEEE 802.11: associated
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
ath0: STA 00:13:46:8b:f0:ff IEEE 802.11: deauthenticated due to local deauth request
#

what happend???, i belive this is the problem {{{ ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument this function }}} isnt support for the module-madwifi???, i try with varius madwifi modules,

Please helpme.

Change History

04/16/06 01:53:48 changed by "mentor" <.bell@bvrh.co.uk>

I was having this problem using an older madwifi drivers with a newer hostapd. Upgrading my madwifi modules fixed it. I think possibly you might be hitting the renumbering of madwifi IOCTLs somwhere, or some other ABI change.

04/17/06 20:42:05 changed by uxbod

Im getting the same problem, with the same card, using the latest madwifi-ng, wpa_supplicant and ieee80211 builds from SVN/CVS. Below is the error I receive :-

ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
Initializing interface 'ath0' conf '/etc/wpa_supplicant.conf' driver 'madwifi' ctrl_interface 'N/A' bridge 'N/A'
Configuration file '/etc/wpa_supplicant.conf' -> '/etc/wpa_supplicant.conf'
Reading configuration file '/etc/wpa_supplicant.conf'
ctrl_interface='/var/run/wpa_supplicant'
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1
Line: 7 - start of a new network block
scan_ssid=1 (0x1)
ssid - hexdump_ascii(len=8):
     73 74 61 6e 66 6f 72 64                           stanford        
proto: 0x1
PSK - hexdump(len=32): [REMOVED]
Priority group 0
   id=0 ssid='stanford'
Initializing interface (2) 'ath0'
SIOCGIWRANGE: WE(compiled)=19 WE(source)=13 enc_capa=0xf
  capabilities: key_mgmt 0xf enc 0xf
WEXT: Operstate: linkmode=1, operstate=5
Own MAC address: 00:11:95:91:5b:12
wpa_driver_madwifi_del_key: keyidx=0
wpa_driver_madwifi_del_key: keyidx=1
wpa_driver_madwifi_del_key: keyidx=2
wpa_driver_madwifi_del_key: keyidx=3
wpa_driver_madwifi_set_countermeasures: enabled=0
wpa_driver_madwifi_set_drop_unencrypted: enabled=1
Setting scan request: 0 sec 100000 usec
Added interface ath0
Wireless event: cmd=0x8b06 len=12
State: DISCONNECTED -> SCANNING
Starting AP scan (specific SSID)
Scan SSID - hexdump_ascii(len=8):
     73 74 61 6e 66 6f 72 64                           stanford        
Trying to get current scan results first without requesting a new scan to speed up initial association
Received 313 bytes of scan results (1 BSSes)
Scan results: 1
Selecting BSS from priority group 0
0: 00:11:09:0d:7e:53 ssid='stanford' wpa_ie_len=24 rsn_ie_len=22 caps=0x11
   selected based on WPA IE
Trying to associate with 00:11:09:0d:7e:53 (SSID='stanford' freq=2437 MHz)
Cancelling scan request
WPA: clearing own WPA/RSN IE
Automatic auth_alg selection: 0x1
WPA: using IEEE 802.11i/D3.0
WPA: Selected cipher suites: group 4 pairwise 8 key_mgmt 2
WPA: set AP WPA IE - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
WPA: set AP RSN IE - hexdump(len=22): 30 14 01 00 00 0f ac 05 01 00 00 0f ac 04 01 00 00 0f ac 02 00 00
WPA: using GTK WEP104
WPA: using PTK TKIP
WPA: using KEY_MGMT WPA-PSK
WPA: Set own WPA IE default - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
No keys have been configured - skip key clearing
wpa_driver_madwifi_set_drop_unencrypted: enabled=1
State: SCANNING -> ASSOCIATING
WEXT: Operstate: linkmode=-1, operstate=5
wpa_driver_madwifi_associate
Association request to the driver failed
Setting authentication timeout: 5 sec 0 usec
Wireless event: cmd=0x8b1a len=25
RX EAPOL from 00:11:09:0d:7e:53
RX EAPOL - hexdump(len=99): 01 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 01 87 7d 35 4f a8 b0 ad 80 55 11 d9 33 cd 17 40 c4 eb 1c 9c d9 7d 08 82 c4 fe b9 91 91 30 d0 35 a1 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Setting authentication timeout: 10 sec 0 usec
IEEE 802.1X RX: version=1 type=3 length=95
  EAPOL-Key type=254
WPA: RX EAPOL-Key - hexdump(len=99): 01 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 01 87 7d 35 4f a8 b0 ad 80 55 11 d9 33 cd 17 40 c4 eb 1c 9c d9 7d 08 82 c4 fe b9 91 91 30 d0 35 a1 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
State: ASSOCIATING -> 4WAY_HANDSHAKE
WPA: RX message 1 of 4-Way Handshake from 00:11:09:0d:7e:53 (ver=1)
WPA: WPA IE for msg 2/4 - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
WPA: Renewed SNonce - hexdump(len=32): 06 70 01 6f 18 f7 38 f7 8a 45 f1 22 39 49 7e 68 1a 13 35 8e 23 34 d7 be 80 8a 0e 6e b0 4d bd 79
WPA: PMK - hexdump(len=32): [REMOVED]
WPA: PTK - hexdump(len=64): [REMOVED]
WPA: Sending EAPOL-Key 2/4
WPA: TX EAPOL-Key - hexdump(len=123): 01 03 00 77 fe 01 09 00 20 00 00 00 00 00 00 00 01 06 70 01 6f 18 f7 38 f7 8a 45 f1 22 39 49 7e 68 1a 13 35 8e 23 34 d7 be 80 8a 0e 6e b0 4d bd 79 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 41 5f a6 7d e6 dd d8 58 00 d7 d3 0f 64 29 18 c9 00 18 dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
RX EAPOL from 00:11:09:0d:7e:53
RX EAPOL - hexdump(len=99): 01 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 02 87 7d 35 4f a8 b0 ad 80 55 11 d9 33 cd 17 40 c4 eb 1c 9c d9 7d 08 82 c4 fe b9 91 91 30 d0 35 a1 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
IEEE 802.1X RX: version=1 type=3 length=95
  EAPOL-Key type=254
WPA: RX EAPOL-Key - hexdump(len=99): 01 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 02 87 7d 35 4f a8 b0 ad 80 55 11 d9 33 cd 17 40 c4 eb 1c 9c d9 7d 08 82 c4 fe b9 91 91 30 d0 35 a1 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
State: 4WAY_HANDSHAKE -> 4WAY_HANDSHAKE
WPA: RX message 1 of 4-Way Handshake from 00:11:09:0d:7e:53 (ver=1)
WPA: WPA IE for msg 2/4 - hexdump(len=24): dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
WPA: PMK - hexdump(len=32): [REMOVED]
WPA: PTK - hexdump(len=64): [REMOVED]
WPA: Sending EAPOL-Key 2/4
WPA: TX EAPOL-Key - hexdump(len=123): 01 03 00 77 fe 01 09 00 20 00 00 00 00 00 00 00 02 06 70 01 6f 18 f7 38 f7 8a 45 f1 22 39 49 7e 68 1a 13 35 8e 23 34 d7 be 80 8a 0e 6e b0 4d bd 79 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 56 b5 29 3d 62 1e 69 66 bc fb a0 44 c6 60 c5 7e 00 18 dd 16 00 50 f2 01 01 00 00 50 f2 05 01 00 00 50 f2 02 01 00 00 50 f2 02
Authentication with 00:00:00:00:00:00 timed out.
Added BSSID 00:00:00:00:00:00 into blacklist
State: 4WAY_HANDSHAKE -> DISCONNECTED
WEXT: Operstate: linkmode=-1, operstate=5
No keys have been configured - skip key clearing
Setting scan request: 0 sec 0 usec
State: DISCONNECTED -> SCANNING
Starting AP scan (broadcast SSID)
Wireless event: cmd=0x8b1a len=16
CTRL-EVENT-TERMINATING - signal 2 received
Removing interface ath0
State: SCANNING -> DISCONNECTED
WEXT: Operstate: linkmode=-1, operstate=5
No keys have been configured - skip key clearing
wpa_driver_madwifi_set_drop_unencrypted: enabled=0
wpa_driver_madwifi_set_countermeasures: enabled=0
No keys have been configured - skip key clearing
WEXT: Operstate: linkmode=0, operstate=6
Removed BSSID 00:00:00:00:00:00 from blacklist (clear)
Cancelling scan request

04/18/06 07:11:10 changed by mrenzmann

  • version set to madwifi-old.
  • description changed.

It seems you're using madwifi-old. Try madwifi-ng instead, as it seems unlikely that problems in -old will get fixed anytime soon, unless they are severe and/or security-related.

04/18/06 09:24:47 changed by uxbod

  • version changed from madwifi-old to trunk.

No, this is the NG release checked out from SVN. I have even tried with the releases from Gentoo portage and get the same error. Would you recommend using the IEEE80211 in the 2.6 kernel or the one directly from the website? For reference, I have tried both and they exhibit the same error. How can I help to find the root cause? Also, which kernel modules need to be loaded? I have tried all the IEEE80211 and the ath/wlan ones. /var/log/messages does indicate that it has the found the card okay, and iwlist reports that the AP is capable of running WPA-PSK (my partners windows machine connects fine). Thanks.

04/18/06 09:49:03 changed by yangman

Experienting the same problem here also. I'm surprised this bug hasn't been reported earlier as I've had the problem since migrating to madwifi-ng several months ago, but only recently began to investigate the problem in detail.

r1502 here with wpa_supplicant-0.5.2

Only association to unencrypted 11b networks seem to be affected (does not associate at all), although I'm not sure if this bug is the direct cause. Connection to encrypted and unencrypted 11g work fine, and encrypted 11b is untested.

04/18/06 20:41:21 changed by uxbod

Im running with a 11G WPA-PSK/WEP encrypted router. I have tried every release of ng from version r1497 upwards and have the same problem on each. If someone can help point me in the direction of how to debug I am more than happy to help out.

04/19/06 15:38:23 changed by uxbod

I have looked at the code and if I change the ap_scan setting to 0 in the wpa_supplicant.conf file I can stop the error message. The problem may be in the driver_madwifi.c from the hostap/wpa_supplicant code. But from what I can understand the procedures/headers and included from the MadWifi source directory so it could be a mismatch of usage.

06/03/06 15:15:57 changed by wosc@wosc.de

Here is another 11g WPA-PSK case: Debian testing, madfifi-ng r1500, wpasupplicant 0.5.3

wpa_driver_madwifi_associate
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
Association request to the driver failed

Please do tell if there is something I can do to help debug this.

06/20/06 10:47:11 changed by uxbod

Tried again with the latest SVN/CVS release and it still exhibits the same problem. After a few changes I did manage to get this far :-

cyborg scripts # /usr/local/sbin/wpa_supplicant -Dwext -i ath0 -c /etc/wpa_supplicant/wpa_supplicant.conf Trying to associate with 00:11:09:0d:7e:53 (SSID='stanford' freq=2437 MHz) ioctl[SIOCSIWAUTH]: Operation not supported WEXT auth param 6 value 0x1 - ioctl[SIOCSIWAUTH]: Operation not supported WEXT auth param 8 value 0x0 - Association request to the driver failed Trying to associate with 00:11:09:0d:7e:53 (SSID='stanford' freq=2437 MHz) ioctl[SIOCSIWAUTH]: Operation not supported

From Googling other put it down to the WEXT implementation in the driver. Any ideas ?

06/22/06 02:37:30 changed by saahbs

I get ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument" with AR5252, 3Com Office Connect AP using WEP, madwifi r1500, r1590 and r1648 on 2.6.8 and 2.6.16 kernels with wpa_supplicant 0.5.3 and 0.5.4. All of these combinations get Invalid argument.

Above softwares work fine with Linksys APs in WEP and WPA modes.

M.

06/22/06 17:40:34 changed by saahbs <madwifi@saahbs.net>

I placed printks throughout net80211/ieee80211_wireless.c in function ieee80211_ioctl_selmlme(...) within case IEEE80211_MLME_ASSOC:

The comments are based on r1648.

'if (lookup.se != NULL)' goes through, 'if (ieee80211_sta_join(..))' also passes, but 'if(vap->iv_nsparams.result)' fails.

Is this a common failure case? What could be causing it? Please comment.

M.

06/25/06 02:36:31 changed by espy@pepper.com

I also see this error when running wpa_supplicant 0.4.7 ( started with -Dmadwifi ) along with a slightly patched version of madwifi 0.9.0.

I did a bit of code analysis and it looks to me like the case statement inside of ieee80211_ioctl_setmlme() is incorrect.

I found that vap->iv_nsparams.result is only set in two places, the _setmlme function itself ( result = 0 ), and the function ieee80211_sta_join1_tasklet which sets result to the return value from ieee80211_new_state().

ieee80211_new_state() calls vap->iv_newstate() which gets set to ieee80211_newstate(), which it turns out always returns '0' as it's return value!

There's also a function called _ _ieee80211_newstate() in the call stack which only returns '0' as well.

So, it looks like:

if (vap->iv_nsparams.result)

really should be:

if (!vap->iv_nsparams.result)

...or since it looks like none of the code in any of the _newstate functions ever return any kind of error in the first place, maybe this if check can just be deleted?

Perhaps at some point, the code should be reviewed in order to make return values a little more consistent ( ie. is success always '0', or is it '1' )?

07/10/06 18:13:35 changed by tim-madwifi@sentinelchicken.org

I get this same error when starting up wpa_supplicant. I'm using WPA v1 on Debian sid with madwifi-ng rev 1680 and the wpasupplicant package from debian, version 0.5.4-2. My system is a Fujitsu S2110 laptop, which has a amd64 architecture. I am able to use the card fine with a STA virtual interface, but I am currently unable to create virtual AP interfaces while a STA one is running, or vice versa. I am not sure if that's related.

Don't know if that helps anyone, but thought I'd contribute the data point.

10/03/06 10:35:56 changed by narnach@narnach.net

Is there a follow-up or fix on this one? I'm using the 0.92 madwifi-ng drivers with wpa_supplicant 0.5.4 (tried unstable 0.5.5 as well) on my atheros based Fujitsu Siemens Amilo L1310G. I can scan around for networks, but the moment I try to connect to our WPA network, I get the

wpa_driver_madwifi_associate ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument Association request to the driver failed

error in my debug.

10/10/06 05:24:54 changed by anonymous

i can reproduce it too and i would like to see some progress on this issue

10/12/06 13:20:50 changed by mira.stepanek@syntacticsugar.com

I've found the solution on this Trac (some FAQ - IOCTL_SETKEY). Emerge (or Install) syslog. When the error occurs, syslog shows up that some module could not be loaded. So load the module by hand

'modprobe -l' and 'modprobe wlan_tkip', etc.

There are probably some module-dependency problems (when I load ath_pci, I get error 'could not load wlan_scan_sta', so I have to load it manually). Repeat this steps as long as problems occur. After that, you can put loading of the modules into the script or some boot-up sequence (at now, I don't know how to make module dependencies). After that, it should work well.

11/19/06 00:56:20 changed by jarach@op.pl

I use also dwl-g520 rev.B:

00:0a.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: D-Link System Inc DWL-G520 Wireless PCI Adapter rev. B
        Flags: bus master, medium devsel, latency 168, IRQ 17
        Memory at ea800000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

Madwifi-ng downloaded from SVN, development version of hostapd-0.5.5. Linux with Fedora4 and kernel 2.6.16-1.2111_FC4 acts as the AP, the client is Laptop with WindowsXP (which is up to date).

Loaded modules:

wlan                  197340  8 wlan_tkip,wlan_xauth,wlan_wep,wlan_scan_ap,wlan_scan_sta,ath_pci,ath_rate_sample
aes                    27881  0

Unfotunatelly i get similar error:

l2_packet_receive - recvfrom: Network is down
Configuration file: /etc/hostapd.conf
ctrl_interface_group=0
eapol_version=1
madwifi_set_iface_flags: dev_up=0
Using interface ath0 with hwaddr 00:0f:3d:ab:92:a4 and ssid 'homerock'
madwifi_set_ieee8021x: enabled=1
madwifi_configure_wpa: group key cipher=1
madwifi_configure_wpa: pairwise key ciphers=0x2
madwifi_configure_wpa: key management algorithms=0x2
madwifi_configure_wpa: rsn capabilities=0x0
madwifi_configure_wpa: enable WPA= 0x3
madwifi_set_iface_flags: dev_up=1
WPA: group state machine entering state GTK_INIT
GMK - hexdump(len=32): [REMOVED]
GTK - hexdump(len=32): [REMOVED]
WPA: group state machine entering state SETKEYSDONE
madwifi_set_key: alg=TKIP addr=00:00:00:00:00:00 key_idx=1
madwifi_set_privacy: enabled=1
SIOCGIWRANGE: WE(compiled)=19 WE(source)=13 enc_capa=0xf
ath0: IEEE 802.11 Fetching hardware channel/rate support not supported.
Flushing old station entries
madwifi_sta_deauth: addr=ff:ff:ff:ff:ff:ff reason_code=3
Deauthenticate all stations
Wireless event: cmd=0x8c03 len=20
ath0: STA 00:05:4e:49:26:60 IEEE 802.11: associated
  New STA
ath0: STA 00:05:4e:49:26:60 WPA: event 1 notification
madwifi_del_key: addr=00:05:4e:49:26:60 key_idx=0
ath0: STA 00:05:4e:49:26:60 WPA: start authentication
WPA: 00:05:4e:49:26:60 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:05:4e:49:26:60 key_idx=0
madwifi_set_sta_authorized: addr=00:05:4e:49:26:60 authorized=0
ath0: STA 00:05:4e:49:26:60 IEEE 802.1X: unauthorizing port
WPA: 00:05:4e:49:26:60 WPA_PTK_GROUP entering state IDLE
WPA: 00:05:4e:49:26:60 WPA_PTK entering state AUTHENTICATION
WPA: 00:05:4e:49:26:60 WPA_PTK entering state AUTHENTICATION2
WPA: 00:05:4e:49:26:60 WPA_PTK entering state INITPSK
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKSTART
ath0: STA 00:05:4e:49:26:60 WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 ie_len=0 gtk_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 05 4e 49 26 60 00 0f 3d ab 92 a4 88 8e 01 03 00 5f fe 00 89 00 20 00 00 00 00 0
0 00 00 01 28 de 6e 53 5d 09 16 d5 88 0d 9c 82 44 b8 b8 ad 58 a5 59 72 c0 2b fd eb 70 79 f6 62 88 ed 4f 74 00 0
0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0
0 00 00 00 00 00 00 00 00 00 00 00
IEEE 802.1X: 5 bytes from 00:05:4e:49:26:60
   IEEE 802.1X: version=1 type=1 length=0
   ignoring 1 extra octets after IEEE 802.1X packet
IEEE 802.1X: 123 bytes from 00:05:4e:49:26:60
   IEEE 802.1X: version=1 type=3 length=119
ath0: STA 00:05:4e:49:26:60 WPA: received EAPOL-Key frame (2/4 Pairwise)
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKCALCNEGOTIATING
PMK - hexdump(len=32): [REMOVED]
PTK - hexdump(len=64): [REMOVED]
ath0: STA 00:05:4e:49:26:60 WPA: invalid MIC in msg 2/4 of 4-Way Handshake
ath0: STA 00:05:4e:49:26:60 WPA: EAPOL-Key timeout
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKSTART
ath0: STA 00:05:4e:49:26:60 WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 ie_len=0 gtk_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 05 4e 49 26 60 00 0f 3d ab 92 a4 88 8e 01 03 00 5f fe 00 89 00 20 00 00 00 00 0
0 00 00 02 28 de 6e 53 5d 09 16 d5 88 0d 9c 82 44 b8 b8 ad 58 a5 59 72 c0 2b fd eb 70 79 f6 62 88 ed 4f 74 00 0
0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0
0 00 00 00 00 00 00 00 00 00 00 00
IEEE 802.1X: 123 bytes from 00:05:4e:49:26:60
   IEEE 802.1X: version=1 type=3 length=119
ath0: STA 00:05:4e:49:26:60 WPA: received EAPOL-Key frame (2/4 Pairwise)
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKCALCNEGOTIATING
PMK - hexdump(len=32): [REMOVED]
PTK - hexdump(len=64): [REMOVED]
ath0: STA 00:05:4e:49:26:60 WPA: invalid MIC in msg 2/4 of 4-Way Handshake
ath0: STA 00:05:4e:49:26:60 WPA: EAPOL-Key timeout
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKSTART
ath0: STA 00:05:4e:49:26:60 WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 ie_len=0 gtk_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 05 4eioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
 49 26 60 00 0f 3d ab 92 a4 88 8e 01 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 03 28 de 6e 53 5d 09 16 d5 88
 0d 9c 82 44 b8 b8 ad 58 a5 59 72 c0 2b fd eb 70 79 f6 62 88 ed 4f 74 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
IEEE 802.1X: 123 bytes from 00:05:4e:49:26:60
   IEEE 802.1X: version=1 type=3 length=119
ath0: STA 00:05:4e:49:26:60 WPA: received EAPOL-Key frame (2/4 Pairwise)
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKCALCNEGOTIATING
PMK - hexdump(len=32): [REMOVED]
PTK - hexdump(len=64): [REMOVED]
ath0: STA 00:05:4e:49:26:60 WPA: invalid MIC in msg 2/4 of 4-Way Handshake
ath0: STA 00:05:4e:49:26:60 WPA: EAPOL-Key timeout
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKSTART
ath0: STA 00:05:4e:49:26:60 WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 ie_len=0 gtk_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 05 4e 49 26 60 00 0f 3d ab 92 a4 88 8e 01 03 00 5f fe 00 89 00 20 00 00 00 00 0
0 00 00 04 28 de 6e 53 5d 09 16 d5 88 0d 9c 82 44 b8 b8 ad 58 a5 59 72 c0 2b fd eb 70 79 f6 62 88 ed 4f 74 00 0
0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 0
0 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:05:4e:49:26:60 WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:05:4e:49:26:60 reason 2
madwifi_sta_deauth: addr=00:05:4e:49:26:60 reason_code=2
WPA: 00:05:4e:49:26:60 WPA_PTK entering state DISCONNECTED
WPA: 00:05:4e:49:26:60 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:05:4e:49:26:60 key_idx=0
madwifi_set_sta_authorized: addr=00:05:4e:49:26:60 authorized=0
ath0: STA 00:05:4e:49:26:60 IEEE 802.1X: unauthorizing port
Could not set station 00:05:4e:49:26:60 flags for kernel driver (errno=22).
ath0: STA 00:05:4e:49:26:60 IEEE 802.11: deauthenticated due to local deauth request
Wireless event: cmd=0x8c04 len=20
ath0: STA 00:05:4e:49:26:60 IEEE 802.11: disassociated
Wireless event: cmd=0x8c03 len=20
ath0: STA 00:05:4e:49:26:60 IEEE 802.11: associated
  New STA
ath0: STA 00:05:4e:49:26:60 WPA: event 1 notification
madwifi_del_key: addr=00:05:4e:49:26:60 key_idx=0
ath0: STA 00:05:4e:49:26:60 WPA: start authentication
WPA: 00:05:4e:49:26:60 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:05:4e:49:26:60 key_idx=0
madwifi_set_sta_authorized: addr=00:05:4e:49:26:60 authorized=0
ath0: STA 00:05:4e:49:26:60 IEEE 802.1X: unauthorizing port
WPA: 00:05:4e:49:26:60 WPA_PTK_GROUP entering state IDLE
WPA: 00:05:4e:49:26:60 WPA_PTK entering state AUTHENTICATION
WPA: 00:05:4e:49:26:60 WPA_PTK entering state AUTHENTICATION2
WPA: 00:05:4e:49:26:60 WPA_PTK entering state INITPSK
WPA: 00:05:4e:49:26:60 WPA_PTK entering state PTKSTART
ath0: STA 00:05:4e:49:26:60 WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 ie_len=0 gtk_len=0 keyidx=0 encr=0)

Does anybody have still the same problem? Regards

11/22/06 05:42:02 changed by Ranga

Hi After executing Xsupplicant -1.2.6 , I am getting following output which has got many errors!! Can any one help me!

![STATE] Reinit state machine [STATE] [backend_sm] REQUEST -> INITIALIZE [STATE] [backend_sm] INITIALIZE -> IDLE [STATE] [backend_sm] UNKNOWN -> INITIALIZE [STATE] [backend_sm] INITIALIZE -> IDLE [INT] Initializing socket for interface ath0.. [INT] Allmulti mode is already enabled on this device! [INT] Interface ath0 is wireless! [CONFIG] Registered event handler 'rtnetlink handler' in slot 0, with socket 5. Card reported capabilitites : WEP40 WEP104 WPA WPA2 TKIP CCMP [INT] Interface initialized! [CONFIG] Working from config file ../etc/xsupplicant.conf. No configuration information for network "(null)" found. Using default. [CONFIG] Registered event handler 'frame handler' in slot 9, with socket 4. [INT] Opened socket descriptor #6 [CONFIG] Registered event handler 'IPC master socket' in slot 8, with socket 6. [INT] Interface ath0 is wireless! Your card is currently set for wireless network "Peerless_Netgear". Looking for configuration information. [CONFIG] Working from config file ../etc/xsupplicant.conf. [STATE] Init wireless state machine. UNASSOCIATED -> ACTIVE_SCAN Scanning for wireless networks. Please wait. [STATE] Reinit state machine [STATE] [backend_sm] IDLE -> INITIALIZE [STATE] [backend_sm] INITIALIZE -> IDLE [INT] Issuing active scan request for interface ath0! Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported [INT] Checking for returned SSID information.... Scan complete. [ALL] Canceled timer for 'scan result timer'! [INT] Reaping data. (Size : 211) 000 | 14 00 15 8b 01 00 00 18 4d 06 09 16 00 00 00 00 | ........M....... 010 | 00 00 00 00 1c 00 1b 8b 00 00 00 00 10 00 01 00 | ................ 020 | 50 65 65 72 6c 65 73 73 5f 4e 65 74 67 65 61 72 | Peerless_Netgear 030 | 08 00 07 8b 03 00 00 00 0c 00 05 8b c0 b6 ac 0e | ................ 040 | 01 00 00 00 08 00 01 8c 21 c2 a1 07 0c 00 2b 8b | ........!.....+. 050 | 00 00 00 00 00 00 00 80 64 00 21 8b 40 42 0f 00 | ........d.!.@B.. 060 | 00 00 00 00 80 84 1e 00 00 00 00 00 60 ec 53 00 | ............`.S. 070 | 00 00 00 00 c0 d8 a7 00 00 00 00 00 80 8d 5b 00 | ..............[. 080 | 00 00 00 00 00 1b b7 00 00 00 00 00 00 36 6e 01 | .............6n. 090 | 00 00 00 00 00 51 25 02 00 00 00 00 40 54 89 00 | .....Q%.....@T.. 0a0 | 00 00 00 00 80 a8 12 01 00 00 00 00 00 6c dc 02 | .............l.. 0b0 | 00 00 00 00 80 f9 37 03 00 00 00 00 17 00 02 8c | ......7......... 0c0 | 00 00 00 00 0b 00 00 00 62 63 6e 5f 69 6e 74 3d | ........bcn_int= 0d0 | 31 30 30 | 100 [INT] AP MAC : 00 18 4d 06 09 16 [INT] ESSID : Peerless_Netgear [INT] Quality : 33 Signal : -62 Noise : -95 [INT] IWEVCUSTOM : bcn_int=100 The wireless card is not associated to an AP. [CONFIG] Checking Peerless_Netgear with Priority 254 [CONFIG] Best SSID appears to be 'Peerless_Netgear' [CONFIG] Signal : -62 Noise : -95 Quality : 33 [STATE] Switching to Associating mode to connect to Peerless_Netgear. [CONFIG] Working from config file ../etc/xsupplicant.conf. [CONFIG] No timers to cancel for 'rescan timer'! ACTIVE_SCAN -> ASSOCIATING Attempting to associate. [ALL] No existing timers in the list! [STATE] Reinit state machine [STATE] [backend_sm] IDLE -> INITIALIZE [STATE] [backend_sm] INITIALIZE -> IDLE Error setting WPA IE! [INT] Requested SSID be set to 'Peerless_Netgear' [INT] WEP: turning encryption off. [INT] Encryption disabled! Listed SSID is Peerless_Netgear [CONFIG] Socket 5 (rtnetlink handler) had an event! [INT] Got an RTM_NEWLINK! [INT] ESSID set .. name : Peerless_Netgear [CONFIG] Socket 5 (rtnetlink handler) had an event! [INT] Got an RTM_NEWLINK! [INT] Encryption key set [CONFIG] Socket 5 (rtnetlink handler) had an event! [INT] Got an RTM_NEWLINK! [INT] Wireless scan complete! [ALL] Called global_deinit() [ALL] Shutting down IPC socket! [INT] Closing socket descriptor #6 [AUTH TYPE] There was no active method in eap_cleanup()! [ALL] Doing statemachine cleanup! [STATE] Reinit state machine [STATE] [backend_sm] IDLE -> INITIALIZE [STATE] [backend_sm] INITIALIZE -> IDLE [AUTH TYPE] There was no active method in eap_cleanup()! [INT] Sending Logoff for int ath0! [STATE] Sending EAPOL-Logoff Frame. [ALL] Frame to be sent (18) : 000 | 01 80 c2 00 00 03 00 13 46 e3 54 eb 88 8e 02 02 | ........F.T..... 010 | 00 00 | .. [ALL] Cleaning up interface ath0... [INT] Called cardif_linux_rtnetlink_cleanup()! [INT] Clearing keys! Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported Error setting key!! (IOCTL failure.) Error 95 : Operation not supported [INT] Turning off WPA support/state. Error setting WPA IE! Error setting WPA IE! [INT] Setting BSSID : 00 00 00 00 00 00 [CONFIG] Clearing handler 'rtnetlink handler'. [CONFIG] Clearing handler 'IPC master socket'. [CONFIG] Clearing handler 'frame handler'. AAAH! Trying to delete an undefined config type. Notify developers. Type: 0x12 AAAH! Trying to delete an undefined config type. Notify developers. Type: 0x17

12/04/06 14:40:26 changed by anonymous

The problem is with hostapd > 0.5.1.

I have just apt-get installed hostapd-0.5.5 to upgrade a system already working fine with hostapd-0.5.1.

I now get the IOCTL error described above when attempting to start hostapd. Obviously the bug is in code shared by WPASuplicant and HostAPD.

12/04/06 19:16:48 changed by anonymous

Hi. I also have the same problem. Im initially used the latest stable release of wpa_supplicant which is 4.9-something. I first used the madwifi snapshot r1711 since it is the first snapshot I got my Atheros AR5006EG (PCIe) to run with. Later I tried it with the r1816 snapshot of madwifi. With both I got the following errors (keep in mind that here I used wpa_supplicant 4.9):

Iebert:~ # wpa_supplicant -D madwifi -i ath0 -c /etc/wpa_supplicant.conf 
Trying to associate with 00:0b:86:c6:c1:00 (SSID='eduroam' freq=2412 MHz)
ioctl[unknown???]: Invalid argument
Association request to the driver failed
Trying to associate with 00:0b:86:c6:c1:00 (SSID='eduroam' freq=2412 MHz)
ioctl[unknown???]: Invalid argument
Association request to the driver failed
Associated with 00:0b:86:c6:c1:00
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP method 21 (TTLS) selected
CTRL-EVENT-EAP-FAILURE EAP authentication failed
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP method 21 (TTLS) selected
CTRL-EVENT-EAP-FAILURE EAP authentication failed
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP method 21 (TTLS) selected
CTRL-EVENT-EAP-FAILURE EAP authentication failed
Authentication with 00:0b:86:c6:c1:00 timed out.
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

I just now tried it with the r1816 madwifi snapshot and the lastest developement release of wpa_supplicant which is 0.5.6. With this configuration I get a slightly different error, though the result is the same...

Iebert:/home/micha/Desktop/network/wpa_supplicant/wpa_supplicant-0.5.6 # ./wpa_supplicant -D madwifi -i ath0 -c /etc/wpa_supplicant.conf 
Trying to associate with 00:0b:86:c6:c1:00 (SSID='eduroam' freq=2412 MHz)
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument 
Association request to the driver failed
Associated with 00:0b:86:c6:c1:00 
CTRL-EVENT-EAP-STARTED EAP authentication started
CTRL-EVENT-EAP-METHOD EAP vendor 0 method 21 (TTLS) selected
OpenSSL: tls_connection_handshake - Failed to read possible Application Data error:00000000:lib(0):func(0):reason(0)
CTRL-EVENT-EAP-FAILURE EAP authentication failed

By the way: the card works perfectly without any Encryption (ie. without wep or wpa). iwlist, iwconfig, etc. all work with both drivers... although I didn´t have in mind running my network unprotected... :-)

By By the way: I tried loading the wlan modules by hand as proposed in one of the links above (ie: modprobe wlan_scan_ap, wlan_tkip, etc.) and that didn´t help either...

Any help is greatly appreciated. I´m definitely willing to help find the problem although I´m still quite a newbie to Linux (ie: error-dumps and such are still not familiar to me, as well as the error-tracking-system on this site...)

01/31/07 13:13:50 changed by diablo

I managed to fix this in hostapd 0.5.5 (debian sarge backport) by adding an extra line in driver_madwifi.c. It seems that the interface is taken down when it shouldn't be. After line 1212:

hapd->driver = &drv->ops;

I brought the interface up again by adding the following:

madwifi_set_iface_flags(drv, 1);

After recompiling, this fixed the problem for me.

03/23/07 19:59:54 changed by lemke_juergen@yahoo.de

Hello,

Using the latest madwifi-ng straight from the subversion repository (r2203) and the latest wpa_supplicant (0.5.7) on Linux 2.6.20.3, I still get the same IOCTL_SETMLME error message when I try to associate to a wireless network using dynamic WEP keys, Network EAP/LEAP authentication and WEP encryption:

ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument

After performing a scan, wpa_supplicant outputs:

Trying to associate with 00:11:92:3e:63:40 (SSID='NYU-ROAM2' freq=2412 MHz) Cancelling scan request WPA: clearing own WPA/RSN IE Automatic auth_alg selection: 0x4 Overriding auth_alg selection: 0x4 WPA: clearing AP WPA IE WPA: clearing AP RSN IE WPA: clearing own WPA/RSN IE No keys have been configured - skip key clearing wpa_driver_madwifi_set_drop_unencrypted: enabled=1 State: SCANNING -> ASSOCIATING wpa_driver_wext_set_operstate: operstate 0->0 (DORMANT) WEXT: Operstate: linkmode=-1, operstate=5 wpa_driver_madwifi_associate wpa_driver_madwifi_associate: SETMLME[ASSOC] failed Association request to the driver failed Setting authentication timeout: 5 sec 0 usec EAPOL: External notification - portControl=Auto RTM_NEWLINK: operstate=0 ifi_flags=0x11003 ([UP][LOWER_UP]) Wireless event: cmd=0x8b1a len=18 Authentication with 00:00:00:00:00:00 timed out. Added BSSID 00:11:92:3e:63:40 into blacklist State: ASSOCIATING -> DISCONNECTED

If anyone knows how to fix this and/or needs more debug output just let me know.

Thank you for your work on the madwifi drivers!

Juerg

03/25/07 20:45:52 changed by azdruid@gmail.com

This is indeed a major problem. I cannot use hostapd at all on Atheros hardware. I would greatly appreciate seeing a fix or workaround for this bug.

Thanks in advance, folks.

(follow-up: ↓ 27 ) 04/15/07 12:17:41 changed by Alex <alex-nim@nm.ru>

I get same error with AR5212 (D-Link DWL-G520 h/w ver B4, f/w ver 4.30), madwifi 0.9.3 (debian-unstable package 0.9.3-1), hostapd 0.5.7, and 2.6.18 kernel.

ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
Could not connect to kernel driver.

PDA Dell x51v can't connect to ap, and goes to continuous reconnect:

ath0: STA xx:xx:xx:xx:xx:xx IEEE 802.11: associated
ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
Could not set station xx:xx:xx:xx:xx:xx flags for kernel driver (errno=29).
ath0: STA xx:xx:xx:xx:xx:xx IEEE 802.11: deauthenticated due to local deauth request
ath0: STA xx:xx:xx:xx:xx:xx IEEE 802.11: disassociated

04/16/07 14:37:10 changed by mrenzmann

r2225 contains a fix that should address this issue. Please test and report back.

(follow-up: ↓ 29 ) 04/16/07 20:31:23 changed by azdruid@gmail.com

I tried again with an SVN snapshot and hostapd 0.5.7 just now (Debian unstable), and the error messages still continue. It is my understanding that the problem lies with the interface not being up at the time of hostapd start, so I made sure to do 'ifconfig ath0 up' before starting hostapd. No dice, my apologies.

(in reply to: ↑ 24 ; follow-up: ↓ 28 ) 04/16/07 23:22:34 changed by Alex <alex-nim@nm.ru>

I'm patch my madwifi version with r2225.

Startup "ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument" has disappeared.

Thanks for your work!

P.S. I find solution for my "continuous reconnect" trouble, decision - forbid 11g mode:

root@lins:~# iwpriv ath0 mode 11b

(in reply to: ↑ 27 ; follow-up: ↓ 35 ) 04/18/07 03:56:51 changed by azdruid@gmail.com

Replying to Alex <alex-nim@nm.ru>:

P.S. I find solution for my "continuous reconnect" trouble, decision - forbid 11g mode: root@lins:~# iwpriv ath0 mode 11b

But, I do so like 802.11g mode!

(in reply to: ↑ 26 ) 04/18/07 23:35:12 changed by mentor

Replying to azdruid@gmail.com:

I tried again with an SVN snapshot and hostapd 0.5.7 just now (Debian unstable), and the error messages still continue.

Which one?

04/23/07 17:42:22 changed by Frederic.Gilloteau@alcatel-lucent.fr

Hello,

I also have the same errors trying to connect a WinXP client to my Linux AP:

ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument madwifi_del_key: Failed to delete key (addr xxx)... ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument madwifi_set_sta_authorized: Failed to unauthorize STA ... Could not set station xxx flags for kernel driver (errno=29)

My Config :

- Madwifi r2280 - Hostapd v0.5.7 - Fedora Core 4 - kernel 2.6.16-1.2107_FC4

Should I use the previous madwifi r2225 ? Any help would be appreciated :-)

Thanks

04/23/07 18:01:14 changed by mentor

Would you provide a larger log of the problem?

04/24/07 09:47:13 changed by Frederic.Gilloteau@alcatel.fr

Hello,

Thanks for your reply.

Here is the log file :

l2_packet_receive - recvfrom: Network is down
Configuration file: /etc/hostapd.conf
ctrl_interface_group=0
Configure bridge br0 for EAPOL traffic.
madwifi_set_iface_flags: dev_up=0
madwifi_set_privacy: enabled=0
BSS count 1, BSSID mask ff:ff:ff:ff:ff:ff (0 bits)
SIOCGIWRANGE: WE(compiled)=19 WE(source)=18 enc_capa=0xf
Flushing old station entries
madwifi_sta_deauth: addr=ff:ff:ff:ff:ff:ff reason_code=3
Deauthenticate all stations
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=0
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=1
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=2
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=3
Using interface ath0 with hwaddr 00:11:95:bb:3e:10 and ssid 'testfred'
madwifi_set_ieee8021x: enabled=1
madwifi_configure_wpa: group key cipher=1
madwifi_configure_wpa: pairwise key ciphers=0xa
madwifi_configure_wpa: key management algorithms=0x2
madwifi_configure_wpa: rsn capabilities=0x0
madwifi_configure_wpa: enable WPA=0x3
madwifi_set_privacy: enabled=0
WPA: group state machine entering state GTK_INIT (VLAN-ID 0)
GMK - hexdump(len=32): [REMOVED]
GTK - hexdump(len=32): [REMOVED]
WPA: group state machine entering state SETKEYSDONE (VLAN-ID 0)
madwifi_set_key: alg=TKIP addr=00:00:00:00:00:00 key_idx=1
madwifi_set_privacy: enabled=1
madwifi_set_iface_flags: dev_up=1
ath0: Setup of interface done.
Wireless event: cmd=0x8c03 len=20
  New STA
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
WPA: 00:11:95:bb:3e:15 WPA_PTK_GROUP entering state IDLE
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITPSK
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 01 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 02 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 03 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 04 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7b 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:11:95:bb:3e:15 reason 2
madwifi_sta_deauth: addr=00:11:95:bb:3e:15 reason_code=2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECTED
ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument

WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_del_key: Failed to delete key (addr 00:11:95:bb:3e:15 key_idx 0)
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
madwifi_set_sta_authorized: Failed to unauthorize STA 00:11:95:bb:3e:15
Could not set station 00:11:95:bb:3e:15 flags for kernel driver (errno=22).
Wireless event: cmd=0x8c02 len=97
Custom wireless event: 'STA-TRAFFIC-STAT
mac=00:11:95:bb:3e:15
rx_packets=0
rx_bytes=0
tx_packets=4
tx_bytes=428
'
Wireless event: cmd=0x8c04 len=20
Wireless event: cmd=0x8c03 len=20
  New STA
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
WPA: 00:11:95:bb:3e:15 WPA_PTK_GROUP entering state IDLE
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITPSK
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 01 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 02 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 03 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 04 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7c 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:11:95:bb:3e:15 reason 2
madwifi_sta_deauth: addr=00:11:95:bb:3e:15 reason_code=2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECTED
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_del_key: Failed to delete key (addr 00:11:95:bb:3e:15 key_idx 0)
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
madwifi_set_sta_authorized: Failed to unauthorize STA 00:11:95:bb:3e:15
Could not set station 00:11:95:bb:3e:15 flags for kernel driver (errno=22).
Wireless event: cmd=0x8c02 len=97
Custom wireless event: 'STA-TRAFFIC-STAT
mac=00:11:95:bb:3e:15
rx_packets=0
rx_bytes=0
tx_packets=4
tx_bytes=428
'
Wireless event: cmd=0x8c04 len=20
Wireless event: cmd=0x8c03 len=20
  New STA
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
ioctl[IEEE80211_IOCTL_DELKEY]: Invalid argument
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
WPA: 00:11:95:bb:3e:15 WPA_PTK_GROUP entering state IDLE
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state AUTHENTICATION2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITPSK
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 01 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7d 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 02 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7d 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 03 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7d 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state PTKSTART
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 11 95 bb 3e 15 00 11 95 bb 3e 10 88 8e 02 03 00 5f fe 00 89 00 20 00 00 00 00 00 00 00 04 12 ba 9e e5 d9 e2 8e bb 87 30 94 7b 58 17 76 df fb 14 83 88 ec 73 cc 7f 66 1e ab 6a 29 09 4b 7d 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:11:95:bb:3e:15 reason 2
madwifi_sta_deauth: addr=00:11:95:bb:3e:15 reason_code=2
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state DISCONNECTED
WPA: 00:11:95:bb:3e:15 WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:11:95:bb:3e:15 key_idx=0
madwifi_del_key: Failed to delete key (addr 00:11:95:bb:3e:15 key_idx 0)
madwifi_set_sta_authorized: addr=00:11:95:bb:3e:15 authorized=0
madwifi_set_sta_authorized: Failed to unauthorize STA 00:11:95:bb:3e:15
Could not set station 00:11:95:bb:3e:15 flags for kernel driver (errno=22).
Wireless event: cmd=0x8c02 len=97
Custom wireless event: 'STA-TRAFFIC-STAT
mac=00:11:95:bb:3e:15
rx_packets=0
rx_bytes=0
tx_packets=4
tx_bytes=428
'
Wireless event: cmd=0x8c04 len=20
Wireless event: cmd=0x8c03 len=20
  
...

04/24/07 09:56:26 changed by Frederic.Gilloteau@alcatel.fr

And here is my /etc/hostapd.conf file

# An additional configuration parameter, bridge,
# must be used to notify hostapd if the interface is included in a bridge. 

bridge=br0
interface=ath0
driver=madwifi
logger_syslog=-1
logger_syslog_level=2
logger_stdout=--1
logger_stdout_level=2
debug=1
ctrl_interface_group=0
#macaddr_acl=0
#deny_mac_file=/etc/hostapd.deny
auth_algs=3
eapol_key_index_workaround=0
eap_server=0
own_ip_addr=127.0.0.1
dump_file=/tmp/hostapd.dump
ssid=testfred
wpa=3  
wpa_psk=9cf3fd7c5dfa676aa5f367311786b5c9026ba6433cfe441f56d67ea9a11e3103
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP CCMP

06/25/07 14:54:21 changed by anonymous

I get the same errors - i'm using wpa_supplicant 0.4.9, hostapd 0.5.8 and madwifi-0.9.3.1-0.1.i586.rpm für suse 10.2

here the output of "hostapd -dd /etc/hostapd.conf":

Configuration file: /etc/hostapd.conf
ctrl_interface_group=0
madwifi_set_iface_flags: dev_up=0
madwifi_set_privacy: enabled=0
BSS count 1, BSSID mask ff:ff:ff:ff:ff:ff (0 bits)
SIOCGIWRANGE: WE(compiled)=20 WE(source)=13 enc_capa=0xf
ath0: IEEE 802.11 Fetching hardware channel/rate support not supported.
Flushing old station entries
madwifi_sta_deauth: addr=ff:ff:ff:ff:ff:ff reason_code=3
madwifi_sta_deauth: Failed to deauth STA (addr ff:ff:ff:ff:ff:ff reason 3)
Could not connect to kernel driver.
Deauthenticate all stations
madwifi_set_privacy: enabled=0
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=0
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=1
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=2
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=3
Using interface ath0 with hwaddr 00:0e:9b:b3:5e:0a and ssid 'testWLAN'
SSID - hexdump_ascii(len=8):
     74 65 73 74 57 4c 41 4e                           testWLAN
PSK (ASCII passphrase) - hexdump_ascii(len=11):
     74 65 73 74 64 69 6e 67 73 64 61                  testdingsda
PSK (from passphrase) - hexdump(len=32): d9 6e 4d 0c 40 1c 7b fa 25 df f7 b9 2b d7 74 fe 1f df ae 36 a6 b1 a0 ef 51 45 43 22 12 e3 47 00
madwifi_set_ieee8021x: enabled=1
madwifi_configure_wpa: group key cipher=1
madwifi_configure_wpa: pairwise key ciphers=0xa
madwifi_configure_wpa: key management algorithms=0x2
madwifi_configure_wpa: rsn capabilities=0x0
madwifi_configure_wpa: enable WPA=0x1
WPA: group state machine entering state GTK_INIT (VLAN-ID 0)
GMK - hexdump(len=32): [REMOVED]
GTK - hexdump(len=32): [REMOVED]
WPA: group state machine entering state SETKEYSDONE (VLAN-ID 0)
madwifi_set_key: alg=TKIP addr=00:00:00:00:00:00 key_idx=1
madwifi_set_privacy: enabled=1
madwifi_set_iface_flags: dev_up=1
ath0: Setup of interface done.
Wireless event: cmd=0x8b19 len=8
Wireless event: cmd=0x8c03 len=20
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: associated
  New STA
ath0: STA 00:0e:35:8a:ba:2c WPA: event 1 notification
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
ath0: STA 00:0e:35:8a:ba:2c WPA: start authentication
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
madwifi_set_sta_authorized: addr=00:0e:35:8a:ba:2c authorized=0
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.1X: unauthorizing port
WPA: 00:0e:35:8a:ba:2c WPA_PTK_GROUP entering state IDLE
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION2
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITPSK
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 01 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 02 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 03 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 04 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:0e:35:8a:ba:2c reason 2
madwifi_sta_deauth: addr=00:0e:35:8a:ba:2c reason_code=2
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state DISCONNECTED
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
madwifi_del_key: Failed to delete key (addr 00:0e:35:8a:ba:2c key_idx 0)
madwifi_set_sta_authorized: addr=00:0e:35:8a:ba:2c authorized=0
madwifi_set_sta_authorized: Failed to unauthorize STA 00:0e:35:8a:ba:2c
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.1X: unauthorizing port
Could not set station 00:0e:35:8a:ba:2c flags for kernel driver (errno=29).
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: deauthenticated due to local deauth request
Wireless event: cmd=0x8c02 len=99
Custom wireless event: 'STA-TRAFFIC-STAT
mac=00:0e:35:8a:ba:2c
rx_packets=4
rx_bytes=436
tx_packets=4
tx_bytes=428
'
Wireless event: cmd=0x8c04 len=20
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: disassociated
Wireless event: cmd=0x8c03 len=20
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: associated
  New STA
ath0: STA 00:0e:35:8a:ba:2c WPA: event 1 notification
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
ath0: STA 00:0e:35:8a:ba:2c WPA: start authentication
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
madwifi_set_sta_authorized: addr=00:0e:35:8a:ba:2c authorized=0
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.1X: unauthorizing port
WPA: 00:0e:35:8a:ba:2c WPA_PTK_GROUP entering state IDLE
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION2
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITPSK
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 01 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 02 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 03 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 04 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state DISCONNECT
hostapd_wpa_auth_disconnect: WPA authenticator requests disconnect: STA 00:0e:35:8a:ba:2c reason 2
madwifi_sta_deauth: addr=00:0e:35:8a:ba:2c reason_code=2
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state DISCONNECTED
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
madwifi_del_key: Failed to delete key (addr 00:0e:35:8a:ba:2c key_idx 0)
madwifi_set_sta_authorized: addr=00:0e:35:8a:ba:2c authorized=0
madwifi_set_sta_authorized: Failed to unauthorize STA 00:0e:35:8a:ba:2c
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.1X: unauthorizing port
Could not set station 00:0e:35:8a:ba:2c flags for kernel driver (errno=29).
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: deauthenticated due to local deauth request
Wireless event: cmd=0x8c02 len=99
Custom wireless event: 'STA-TRAFFIC-STAT
mac=00:0e:35:8a:ba:2c
rx_packets=5
rx_bytes=575
tx_packets=4
tx_bytes=428
'
Wireless event: cmd=0x8c04 len=20
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: disassociated
Wireless event: cmd=0x8c03 len=20
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.11: associated
  New STA
ath0: STA 00:0e:35:8a:ba:2c WPA: event 1 notification
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
ath0: STA 00:0e:35:8a:ba:2c WPA: start authentication
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITIALIZE
madwifi_del_key: addr=00:0e:35:8a:ba:2c key_idx=0
madwifi_set_sta_authorized: addr=00:0e:35:8a:ba:2c authorized=0
ath0: STA 00:0e:35:8a:ba:2c IEEE 802.1X: unauthorizing port
WPA: 00:0e:35:8a:ba:2c WPA_PTK_GROUP entering state IDLE
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state AUTHENTICATION2
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state INITPSK
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 01 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART
ath0: STA 00:0e:35:8a:ba:2c WPA: sending 1/4 msg of 4-Way Handshake
WPA: Send EAPOL(secure=0 mic=0 ack=1 install=0 pairwise=8 kde_len=0 keyidx=0 encr=0)
TX EAPOL - hexdump(len=113): 00 0e 35 8a ba 2c 00 0e 9b b3 5e 0a 88 8e 02 03 00 5f fe 00 8a 00 10 00 00 00 00 00 00 00 02 75 65 9f 1a 64 67 37 be 41 cc 10 37 4c 99 0d a2 8f 1f 0b f2 8f$
ath0: STA 00:0e:35:8a:ba:2c WPA: EAPOL-Key timeout
WPA: 00:0e:35:8a:ba:2c WPA_PTK entering state PTKSTART

.... and so on

my hostapd.conf:

interface=ath0
driver=madwifi
logger_syslog=-1
logger_syslog_level=2
logger_stdout=-1
logger_stdout_level=2
debug=0
dump_file=/tmp/hostapd.dump
ctrl_interface=/var/run/hostapd
ctrl_interface_group=0

ssid=testWLAN
macaddr_acl=0
accept_mac_file=/etc/hostapd.accept
deny_mac_file=/etc/hostapd.deny
auth_algs=1

wpa=1
wpa_passphrase=testdingsda
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP CCMP

lspci:

02:09.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
        Subsystem: AMBIT Microsystem Corp. Unknown device 0408
        Flags: bus master, medium devsel, latency 168, IRQ 201
        Memory at 40000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2

how can i fix this problem? a winXP laptop conencted to the AP disconnects from time to time

(in reply to: ↑ 28 ) 07/12/07 16:01:43 changed by tim_mw@yahoo.co.uk

Replying to Alex <alex-nim@nm.ru>:

P.S. I find solution for my "continuous reconnect" trouble, decision - forbid 11g mode: root@lins:~# iwpriv ath0 mode 11b

I've had this problem as well, constant refusal of the card to connect to access points using WPA-Enterprise encryption (WPA-PSK is fine) using iwpriv to switch to wireless b mode seems to solve the problem. I've also seen the same ioctl error using Madwifi driver 0.9.3.1.

07/14/07 01:41:21 changed by mentor

@anonymous: It looks like you have a bridge and you have not specified the bridge parameter for hostapd. Thus EAPoL frames are not being transferred.

07/14/07 01:45:24 changed by mentor

  • summary changed from ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument ERROR :S to HostAPd: ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument ERROR.

@Frederic: It looks like your auth sequence is only getting as far as Pairwise 1/4 each time too. The IOCtl errors shouldn't happen but appear to be unrelated.

I intend to close this ticket as fixed, as the original error has been fixed. I have verified this to be the case.

07/17/07 21:33:31 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

07/17/07 21:33:45 changed by mentor

  • milestone set to version 0.9.4.

(follow-up: ↓ 41 ) 09/07/07 16:26:53 changed by anonymous

Dear All,

I am also facing similar problem with madwifi-0.9.3.1, hostapd-0.5.8 with a similar hostapd.conf file as stated above:

[root@localhost hostapd-0.5.8]# hostapd -ddd hostapd.conf Configuration file: hostapd.conf ctrl_interface_group=0 eapol_version=1 ioctl[SIOCSIWMODE]: Operation not supported Could not set interface to master mode! madwifi driver initialization failed. eth0: Unable to setup interface. Flushing old station entries Deauthenticate all stations rmdir[ctrl_interface]: No such file or directory

Can anyone please solve this problem for me. You all seem so experienced on this, it would be great if you could drop one email to maloomnahi@indiatimes.com with the answer for the same or atleast with some direction.

Thanks PN

(in reply to: ↑ 40 ) 01/25/08 14:41:59 changed by phani.kancharla@oneconvergence.com

Replying to anonymous:

Dear All, I am also facing similar problem with madwifi-0.9.3.1, hostapd-0.5.8 with a similar hostapd.conf file as stated above: [root@localhost hostapd-0.5.8]# hostapd -ddd hostapd.conf Configuration file: hostapd.conf ctrl_interface_group=0 eapol_version=1 ioctl[SIOCSIWMODE]: Operation not supported Could not set interface to master mode! madwifi driver initialization failed. eth0: Unable to setup interface. Flushing old station entries Deauthenticate all stations rmdir[ctrl_interface]: No such file or directory Can anyone please solve this problem for me. You all seem so experienced on this, it would be great if you could drop one email to maloomnahi@indiatimes.com with the answer for the same or atleast with some direction. Thanks PN

you may need to reload the ath_pci module with ap mode... just try "modprobe ath_pci autocreate=ap" let us know the result. -Phani

(follow-up: ↓ 43 ) 02/11/08 06:11:26 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.

(in reply to: ↑ 42 ) 04/06/08 14:40:42 changed by anonymous

Replying to mrenzmann: Im having the same problem with madwifi 0.9.4 :(

pastebin dot com / m5d711941

Latest Stable hostapd.

Anyone know whats up ?

06/07/08 01:48:04 changed by anonymous

Same problem with hostapd 0.5.9 And latest madwifi driver

ctrl_interface_group=0
madwifi_set_iface_flags: dev_up=0
madwifi_set_privacy: enabled=0
BSS count 1, BSSID mask ff:ff:ff:ff:ff:ff (0 bits)
SIOCGIWRANGE: WE(compiled)=22 WE(source)=13 enc_capa=0xf
ath0: IEEE 802.11 Fetching hardware channel/rate support not supported.
Flushing old station entries
madwifi_sta_deauth: addr=ff:ff:ff:ff:ff:ff reason_code=3
ioctl[IEEE80211_IOCTL_SETMLME]: Invalid argument
madwifi_sta_deauth: Failed to deauth STA (addr ff:ff:ff:ff:ff:ff reason 3)
Could not connect to kernel driver.
Deauthenticate all stations
madwifi_set_privacy: enabled=0
Mode: IEEE 802.11a  Channel: 60  Frequency: 0 MHz
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=0
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=1
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=2
madwifi_del_key: addr=00:00:00:00:00:00 key_idx=3
madwifi_set_key: alg=WEP addr=00:00:00:00:00:00 key_idx=0
madwifi_set_privacy: enabled=1
Using interface ath0 with hwaddr 00:17:9a:XX:XX:XX and ssid 'Allisson'
madwifi_set_iface_flags: dev_up=1
ath0: Setup of interface done.
l2_packet_receive - recvfrom: Network is down
Wireless event: cmd=0x8b1a len=17

Anyone know whats up ?

02/23/10 04:20:37 changed by peiweijun

I invoke the "ioctl[IEEE80211_IOCTL_SETMLME]" and have the same problem, but it works.